export declare type AnyTransform<T = unknown> = (value: T) => Promise<T>;
declare const buildTransformPipeline: <T = unknown>(initial: AnyTransform<T>[], transform?: AnyTransform<T> | undefined) => AnyTransform<T>[];
declare const applyTransformPipeline: <T = unknown>(pipeline: AnyTransform<T>[]) => (initial: T) => Promise<T>;
export { buildTransformPipeline, applyTransformPipeline };
