import { ConfigActionOptions, DefaultActionVerb, State } from '../typings';
declare const defaultActions: Record<DefaultActionVerb, ConfigActionOptions>;
declare const defaultHeaders: RequestInit['headers'];
declare const defaultIdKeys: {
    singular: string;
    plural: string;
};
declare const defaultState: Record<string, Partial<State>>;
declare const initialState: State;
export declare const defaultMergeItem: <T extends Record<string, unknown>>(prevItem: T | null, nextItem: Partial<T>) => T;
declare const defaultGlobals: {
    Promise: PromiseConstructor;
    fetch: typeof fetch;
};
export { defaultGlobals, defaultActions, defaultHeaders, defaultIdKeys, defaultState, initialState };
