import { Types } from './typings';
declare const scopeType: (type: string, scope?: string | undefined) => string;
declare const scopeTypes: (types: Record<string, string> | undefined, scope: string) => Types;
declare const getTypesScope: (resourceName: string) => string;
declare type GetActionTypeKeyOptions = {
    resourceName: string;
    resourcePluralName?: string;
    isArray?: boolean;
};
declare const getActionTypeKey: (actionId: string, { resourceName, resourcePluralName, isArray }: GetActionTypeKeyOptions) => string;
declare const getActionType: (actionId: string) => string;
declare type CreateTypeOptions = {
    resourceName: string;
    resourcePluralName?: string;
    isArray?: boolean;
    alias?: string;
};
declare const createType: (actionId: string, { resourceName, resourcePluralName, isArray, alias }: CreateTypeOptions) => Types;
declare type CreateTypesOptions = {
    resourceName: string;
    resourcePluralName?: string;
    scope?: string;
};
declare const createTypes: (actions: Record<string, import("./typings").ConfigActionOptions> | undefined, { resourceName, resourcePluralName, scope }: CreateTypesOptions) => Types;
export { scopeType, scopeTypes, getTypesScope, createType, createTypes, getActionType, getActionTypeKey };
