"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultTransformResponsePipeline = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _util = require("../helpers/util");

var defaultTransformResponsePipeline = [
/*#__PURE__*/
// Default plugin to parse headers['Content-Range']
function () {
  var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(res) {
    var status, headers, isPartialContent;
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            status = res.status, headers = res.headers;
            isPartialContent = status === 206;

            if (isPartialContent) {
              res.contentRange = (0, _util.parseContentRangeHeader)((0, _util.toString)(headers['Content-Range']));
            }

            return _context.abrupt("return", res);

          case 4:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}()];
exports.defaultTransformResponsePipeline = defaultTransformResponsePipeline;
//# sourceMappingURL=pipeline.js.map