import { AnyAction, Reducer } from 'redux';
declare const reduceReducers: <S>(...reducers: Reducer<S, AnyAction>[]) => Reducer<S, AnyAction>;
declare const combineReducers: <S>(...reducers: Record<string, Reducer<S, AnyAction>>[]) => Reducer<S, AnyAction>;
declare const mergeReducers: <S>(baseReducer: Reducer<S, AnyAction>, ...reducers: Record<string, Reducer<S, AnyAction>>[]) => Reducer<S, AnyAction>;
export { reduceReducers, combineReducers, mergeReducers };
