import { initialState as defaultInitialState } from '../defaults';
import { Action, ConfigActionsOptions, ReduceOptions, Reducer, ReducerMapObject, State } from '../typings';
declare const createReducer: <T extends Record<string, unknown>>(actionId: string, reduceOptions: ReduceOptions<T>, defaultReducers?: Record<string, import("redux").Reducer<State<T>, Action<unknown>>>) => import("redux").Reducer<State<T>, Action<unknown>>;
declare const createReducers: <T extends Record<string, unknown>>(actions?: ConfigActionsOptions, reduceOptions?: ReduceOptions<T>) => Record<string, import("redux").Reducer<State<T>, Action<unknown>>>;
declare type CreateRootReducerOptions = {
    resourceName: string;
    scope?: string;
};
declare const createRootReducer: <T extends Record<string, unknown>>(reducers: Record<string, import("redux").Reducer<State<T>, Action<unknown>>> | undefined, { resourceName, scope }: CreateRootReducerOptions) => import("redux").Reducer<State<T>, Action<unknown>>;
export { defaultInitialState as initialState, createReducer, createReducers, createRootReducer };
